aboutsummaryrefslogtreecommitdiffstats
path: root/mkinitcpio/ykfde
diff options
context:
space:
mode:
Diffstat (limited to 'mkinitcpio/ykfde')
-rw-r--r--mkinitcpio/ykfde18
1 files changed, 18 insertions, 0 deletions
diff --git a/mkinitcpio/ykfde b/mkinitcpio/ykfde
new file mode 100644
index 0000000..f4115d6
--- /dev/null
+++ b/mkinitcpio/ykfde
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+build() {
+ # This will update to LUKS key slot if Yubikey is available.
+ # Do not fail if key is not present!
+ /usr/bin/ykfde >/dev/null 2>/dev/null || true
+
+ # install files to initramfs
+ add_binary /usr/lib/udev/ykfde
+ add_file /usr/lib/initcpio/udev/20-ykfde.rules /usr/lib/udev/rules.d/20-ykfde.rules
+ add_file /etc/ykfde.conf
+ add_full_dir /etc/ykfde.d/
+}
+
+help() {
+ echo "This hook adds support for opening LUKS devices with Yubico key."
+ echo "Please use command 'ykfde' to prepare."
+}